#ifndef _KK_ZIGBEE_MAP_H_
#define _KK_ZIGBEE_MAP_H_
#include "RPC_API.h"
#include "kk_tsl_common.h"

#define PROPERTIES_MAX_NUM 20

typedef int (*zigbee_ctrl_cb)(jrpc_context * ctx,const char *mac,void* data);

typedef struct{
	int type;
	char* Identity;
	zigbee_ctrl_cb zigbee_cb;
}kk_zigbee_ctrl_map_t;

typedef struct{
	char *product_type;
	int num;
	kk_zigbee_ctrl_map_t  zigbee_ctrl[PROPERTIES_MAX_NUM];
}kk_tsl_zigbee_map_t;

#endif
